package ipp.imse.fusionOptics.imse;

import fusionOptics.lenses.Nikon135mmF28;
import fusionOptics.lenses.Nikon50mmF11;
import fusionOptics.lenses.SchneiderXenon25mmF095;

public class IMSEOptics135_50 extends IMSEOptics {
	public IMSEOptics135_50() {
	
		focalLength1 = 0.135;
		
		focalLength2 = 0.050;

		rotateObjLens = true;
		
		imgLensPlaneToCell = 0.040; //for the 50mm
		
		objLensPlaneToCell = rotateObjLens ? -0.005 : 0.080; //for the 135
		
		objLens = new Nikon135mmF28(new double[]{ focalLength1 + focusAdjustObj, 0, 0 });
		objLensCaseRadius = ((Nikon135mmF28)objLens).getCaseRadius();
		
		imgLens = new Nikon50mmF11(new double[]{ imgLensPos(), 0, 0 });
		imgLensCaseRadius = ((Nikon50mmF11)imgLens).getCaseRadius();
				
		init();
	}
}
